package models

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ VmModel = (*customVmModel)(nil)

type (
	// VmModel is an interface to be customized, add more methods here,
	// and implement the added methods in customVmModel.
	VmModel interface {
		vmModel
	}

	customVmModel struct {
		*defaultVmModel
	}
)

// NewVmModel returns a model for the database table.
func NewVmModel(conn sqlx.SqlConn) VmModel {
	return &customVmModel{
		defaultVmModel: newVmModel(conn),
	}
}
